### Enumeration

# AppStream ReviewVoteKind

since: 1.1.4

#### Declaration

    enum AppStream.ReviewVoteKind

#### Description [src]

A vote cast on a user review.

Available since: 1.1.4

#### Members

`AS_REVIEW_VOTE_KIND_UNKNOWN`

  Unknown vote action.

  - Value: `0`
  - Available since: 1.1.4
`AS_REVIEW_VOTE_KIND_UP`

  Vote the review up, it was helpful.

  - Value: `1`
  - Available since: 1.1.4
`AS_REVIEW_VOTE_KIND_DOWN`

  Vote the review down, it was unhelpful.

  - Value: `2`
  - Available since: 1.1.4
`AS_REVIEW_VOTE_KIND_REPORT`

  Report the review as abusive.

  - Value: `3`
  - Available since: 1.1.4